// Copyright 2022 Bitcoding

import 'package:flutter/material.dart';
import 'package:google_applovin_unity_ads/google_applovin_unity_ads.dart';

class MainScreen extends StatefulWidget {
  const MainScreen({Key? key}) : super(key: key);

  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MainScreen> {
  Widget _bannerAd = Container(height: 0);
  final String placeholderText =
      """
      
      Hello This example screen is second screen.
     
      """;

  @override
  void initState() {
    super.initState();
    loadBannerAds(
        size: AdSize.leaderboard,
        onAdLoadedCallback: (bannerAds) => {
          setState(() {
            _bannerAd = showBannerAds(banner:bannerAds, size: AdSize.leaderboard);
          })
        });

  }

  @override
  void dispose() {
    super.dispose();
    destroyAd();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Builder(builder: (BuildContext context) {
        return Scaffold(
          appBar: AppBar(
            title: const Text('Ads example app'),
            actions: <Widget>[
              PopupMenuButton<String>(
                onSelected: (String result) {
                  switch (result) {
                    case 'InterstitialAd':
                      showIntraAds(
                          callback: () => {print("Show Completed true")});
                      break;
                    case 'RewardedAd':
                      showRewardAds(
                          callback: () => {print("Show Completed true")});
                      break;
                    default:
                      throw AssertionError('unexpected button: $result');
                  }
                },
                itemBuilder: (BuildContext context) => <PopupMenuEntry<String>>[
                  const PopupMenuItem<String>(
                    value: 'InterstitialAd',
                    child: Text('InterstitialAd'),
                  ),
                  const PopupMenuItem<String>(
                    value: 'RewardedAd',
                    child: Text('RewardedAd'),
                  )
                ],
              ),
            ],
          ),
          body: SafeArea(child: ListView.separated(
            itemCount: 10,
            itemBuilder: (context, index) {
              return ListTile(
                title: Text(placeholderText),
              );
            },
            separatorBuilder: (context, index) {
              // if (index == 2) {
              //   return showBannerAds(appVersionCode: 1, size: AdSize.leaderboard);
              // }
              //
              //
              // if (index == 6) {
              //   return showBannerAds(appVersionCode: 1, size: AdSize.leaderboard);
              // }
              //
              // if (index == 4) {
              //   return showBannerAds(appVersionCode: 1, size: AdSize.fluid);
              // }
              //
              // if (index % 5 == 0) {
              //   return showBannerAds(
              //       appVersionCode: 1, size: AdSize.mediumRectangle);
              // }
              //
              // if (index == 3) {

              if (index % 4 == 0) {
                return showBannerAdsGrid(size: AdSize.leaderboard);
              }

              return Container(height: 0);
            },
          )),
          bottomNavigationBar: _bannerAd,
        );
      }),
    );
  }
}
